Subject: bug#33983: 26.1; c++-mode syntax highlighting after some symbols

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Feb 2021 15:59:47 +0100

koopafou <[email-masked]> writes:

> When I type symbols that start with the same characters as an operator 
> alias
> followed by an array subscript, the index is colored like a namespace if
> it's a symbol as well.
> Examples :
>
> void a () {
>    foo[bar]; // ok, foo doesn't start like an operator alias
>    aor[bar]; // ok
>    ora[1]; // starts with "or", but 1 is a number literal
>    ora[bar][quux]; // bar is colored the same as std below, quux is fine
>    std::sort;
> }
>
> int thing[bar]; // not colored
> int nothing[bar]; // colored
>
> struct A {
>    int nanana[bar]; // not colored
>    int andwhatever[bar]; // colored
> };

I could reproduce this problem with Emacs 26.1, but not with Emacs 27.1,
so I guess this has been fixed by now, and I'm closing this bug report.
If there's more to be done here, please respond to the debbugs address
and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no